import { HttpClient } from '@angular/common/http';
import { BaseApiTemplateService } from '../../shared';
import { GenericDocIntercompanyLinkContainer } from '../../../../../../models/aggregates/intercompany';
import { ApiResponseModel } from "../../shared";
import { ApiVisa } from "../../shared";
import { Observable } from 'rxjs';
export declare class GenericDocIntercompanyLinkService extends BaseApiTemplateService<GenericDocIntercompanyLinkContainer> {
    constructor(http: HttpClient);
    createMulti(payload: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    updateMulti(payload: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    deleteMulti(dtoObject: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
}
